=== debian/changelog ===
pisg (0.80~preview2-1) unstable; urgency=medium

  * New upstream version 0.80~preview2.
  * Adopt package, thanks Julien! (Closes: #928534)
  * Add github watch file.
  * DH 13, dh, source format 3.0, bump S-V. (Closes: #965779)
  * Add autopkgtest.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Dec 2021 23:07:25 +0100

pisg (0.73-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:09:53 +0100

pisg (0.73-1) unstable; urgency=low

  * New upstream release
  * Bump standards version
  * Fix license file reference in copyright file

 -- Julien Danjou <acid@debian.org>  Thu, 25 Apr 2013 22:51:47 +0200

pisg (0.72-1) unstable; urgency=low

  * New upstream release
    + Fix -ne option in manpage (Closes: #430946)
  * Switch to debhelper 5
  * Bump standard version
  * Fix binary-arch-rules-but-pkg-is-arch-indep
  * Fix copyright

 -- Julien Danjou <acid@debian.org>  Sat, 12 Apr 2008 14:28:11 +0200

pisg (0.71-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Thu, 15 Feb 2007 15:18:32 +0100

pisg (0.70-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sun, 17 Sep 2006 16:28:05 +0200

pisg (0.68-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Mon, 13 Mar 2006 17:41:49 +0100

pisg (0.67-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Thu, 25 Aug 2005 19:16:10 +0200

pisg (0.66-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Thu, 12 May 2005 18:26:00 +0200

pisg (0.65-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Fri, 15 Apr 2005 10:30:50 +0200

pisg (0.64-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Thu, 24 Feb 2005 10:52:49 +0100

pisg (0.63-2) unstable; urgency=low

  * Add HTML documentation (Closes: #282930) 

 -- Julien Danjou <acid@debian.org>  Sat, 15 Jan 2005 13:02:38 +0100

pisg (0.63-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Wed, 12 Jan 2005 17:10:08 +0100

pisg (0.62-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sun, 12 Dec 2004 17:45:56 +0100

pisg (0.61-1) unstable; urgency=low

  * New upstream release
  * Use new upstream manpage

 -- Julien Danjou <acid@debian.org>  Sun, 31 Oct 2004 13:22:24 +0100

pisg (0.60-1) unstable; urgency=low

  * New upstream release
  * Add "Suggests: libtext-iconv-perl" (Closes: #276191)

 -- Julien Danjou <acid@debian.org>  Wed, 20 Oct 2004 00:13:04 +0200

pisg (0.59-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sun,  3 Oct 2004 22:34:01 +0200

pisg (0.58-2) unstable; urgency=low

  * Fix a typo in manpage 

 -- Julien Danjou <acid@debian.org>  Wed, 22 Sep 2004 11:18:54 +0200

pisg (0.58-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat, 11 Sep 2004 12:19:26 +0200

pisg (0.57-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat, 28 Aug 2004 09:47:51 +0200

pisg (0.56-1) unstable; urgency=low

  * New upstream release
  * Fix Dutch translation (Closes: #255654) 

 -- Julien Danjou <acid@debian.org>  Sat, 26 Jun 2004 20:39:28 +0200

pisg (0.55-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat,  5 Jun 2004 20:50:34 +0200

pisg (0.54-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Wed,  5 May 2004 17:54:23 +0200

pisg (0.52-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat, 21 Feb 2004 23:03:23 +0100

pisg (0.51-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Thu, 22 Jan 2004 11:40:16 +0100

pisg (0.50-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sun,  7 Dec 2003 17:08:00 +0100

pisg (0.49-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat, 20 Sep 2003 18:48:45 +0200

pisg (0.48-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Wed, 30 Apr 2003 13:28:15 +0200

pisg (0.47-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat,  1 Mar 2003 00:00:54 +0100

pisg (0.46-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Thu, 20 Feb 2003 21:18:40 +0100

pisg (0.44-1) unstable; urgency=low

  * New upstream release (Closes: #174577) 

 -- Julien Danjou <acid@debian.org>  Tue, 31 Dec 2002 18:29:59 +0100

pisg (0.43-1) unstable; urgency=low

  * New upstream release (Closes: #170631)

 -- Julien Danjou <acid@debian.org>  Mon, 25 Nov 2002 14:52:36 +0100

pisg (0.42-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 18 Nov 2002 23:31:17 +0100

pisg (0.41-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Tue, 13 Aug 2002 19:19:03 +0200

pisg (0.40-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Fri,  5 Jul 2002 05:47:47 +0200

pisg (0.39-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sun, 19 May 2002 16:23:30 +0200

pisg (0.38-2) unstable; urgency=low

  * No docbook-to-man at each build (Closes: #146597)

 -- Julien Danjou <acid@debian.org>  Sun, 12 May 2002 19:48:12 +0200

pisg (0.38-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sun, 28 Apr 2002 22:35:17 +0200

pisg (0.37-1) unstable; urgency=low

  * Initial Release. (Closes: #143840)

 -- Julien Danjou <acid@debian.org>  Mon, 22 Apr 2002 19:11:30 +0200
