=== debian/control ===
Source: pisg
Section: net
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 asciidoc,
 debhelper-compat (= 13),
 docbook-utils,
 docbook-xml,
 zip,
Build-Depends-Indep:
 perl (>= 5.6),
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/pisg.git
Vcs-Browser: https://salsa.debian.org/debian/pisg
Homepage: https://pisg.github.io/

Package: pisg
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
Suggests:
 libtext-iconv-perl,
Description: Perl IRC Statistics Generator
 A Perl script which takes IRC logfiles and turns them into nice looking
 stats, which can be amusing to show to the users of your channel.
