=== debian/rules ===
#!/usr/bin/make -f

DATADIR="/usr/share/pisg"

%:
	dh $@

execute_after_dh_auto_build:
	docbook2man docs/pisg.sgml --output docs
	mv -f docs/PISG.1 docs/pisg.1

execute_after_dh_install:
	perl -pi \
		-e "s[(langfile =>) '.*',][\$$1 => '$(DATADIR)/lang.txt',];" \
		-e "s[(cssdir =>) '.*',][\$$1 => '$(DATADIR)/layout/',]" \
		debian/pisg/usr/share/perl5/Pisg.pm
