=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://github.com/PISG/pisg/tags .*/(.*).tar.gz
